Subject: RE: Calling CMD.EXE in NT
From: [email-masked] (Simon Fear)

26 Jan 1999 18:26:34 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain
To: "[email-masked]'" <[email-masked]>

Interestingly, /c/winnt/system32/cmd.exe does not exist. I have cmd
hashed

cmd is hashed (/c/WINNT/system32/cmd)

and

$ cmd /c dir

indeed gives a DOS style dir instead of a cygwin one. Strictly, it gives
an NT-version-of-DOS version. A true DOS version, filenames on the left
only, 8.3-mangled with ~ and capitals, is got from

/c/winnt/system32/command.com /c dir

Where does the NT mapping cmd -> command take place?

Simon F

-----Original Message-----
From: Kevin Wright [mailto:[email-masked]]
Sent: 25 January 1999 16:13
To: 'Todd Goodman'
Cc: [email-masked]
Subject: RE: Calling CMD.EXE in NT

Todd,

I have cmd.exe in my path, thus:
~ > type cmd
cmd is hashed (/d/WINNT/system32/cmd)

Because it is on my D: drive which is in the mount table for cygnus, 
it only needs one "/"

Example of usage:

~ > cmd /c dir

gives me the "dos" version of dir as opposed to cywin's which is 
the same as ls.

Hope this helps,

Kevin

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On
> Behalf Of Todd Goodman
> Sent: Sunday, January 24, 1999 6:45 PM
> To: [email-masked]
> Subject: Calling CMD.EXE in NT
> 
> 
> Can someone give me a pointer on running CMD.EXE.
> 
> For example, I've tried typing '//c/WINNT/SYSTEM32/CMD /c dir' in
> at the bash prompt and I always get 'The syntax of the command is
> incorrect.'
> 
> I know I've seen others do this.
> 
> Thanks,
> 
> Todd Goodman
> -
> For help on using this list (especially unsubscribing), send 
> a message to
> "[email-masked]" with one line of text: "help".
> 
-
For help on using this list (especially unsubscribing), send a message
to
"[email-masked]" with one line of text: "help".
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".